import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String impossible = "impossible";
        String cAns = ouf.nextToken();
        String jAns = ans.nextToken();
        if (cAns.equals(impossible) && jAns.equals(impossible)) {
            return new Outcome(Outcome.Type.OK, String.format("impossible"));
        }
        if (cAns.equals(impossible)) {
            return new Outcome(Outcome.Type.WA, String.format("Contestant can't encrypt, but jury can"));
        }
        if (jAns.equals(impossible)) {
            return new Outcome(Outcome.Type.WA, String.format("Contestant can encrypt, but jury know that's impossible"));
        }
        if (!cAns.equals(jAns)) {
            return new Outcome(Outcome.Type.WA, String.format("Wrong encryption\n" +
                    "                                          expected: %s\n" +
                                                              "found:    %s", jAns, cAns));
        }
        return new Outcome(Outcome.Type.OK, String.format("%s", jAns));
    }
}
