import java.io.*;
import java.util.*;

public class expression_ez {

    static int MUL = -1;
    static int ADD = -2;
    static int OBRC = -3;
    static int CBRC = -4;


    static int MOD = 1000000007;
    static List<Integer> e = new ArrayList<>();
    static HashMap<Integer, Integer> map = new HashMap<>();
    static int y = 0;
    static StringBuilder s;

    static Expr parseA() {
        Expr e = parseB();
        while (y < s.length() && s.charAt(y) == '+') {
            y++;
            Expr tmp = parseA();
            final Expr finalE = e;
            e = () -> (int)((long)(finalE.evaluate() + tmp.evaluate()) % MOD);
        }
        return e;
    }

    static Expr parseB() {
        Expr e = parseC();
        while (y < s.length() && s.charAt(y) == '*') {
            y++;
            Expr tmp = parseB();
            final Expr finalE = e;
            e = () -> (int)(((long)finalE.evaluate() * tmp.evaluate()) % MOD);
        }
        return e;
    }

    static Expr parseC() {
        if (s.charAt(y) == '(') {
            y++;
            Expr ans = parseA();
            y++;
            return ans;
        }
        long nmb = 0;
        while (y < s.length() && Character.isDigit(s.charAt(y))) {
            nmb = nmb * 10 + s.charAt(y) - '0';
            nmb %= MOD;
            y++;
        }
        final long finalNmb = nmb;
        return () -> (int) finalNmb;
    }


    static int parse() {
        y = 0;
        Expr e = parseA();
        return e.evaluate();
    }


    public static void main(String[] args) throws FileNotFoundException {
        FastScanner in = new FastScanner(new File("expression.in"));
        PrintWriter out = new PrintWriter(new File("expression.out"));
        s = new StringBuilder(in.next());
        int n = in.nextInt();
        for (int i = 0; i < n; i++) {
            int t = in.nextInt()-1;
            char c = s.charAt(t);
            if (c == '+')
                s.replace(t, t + 1, "*");
            else
                s.replace(t, t + 1, "+");
            out.println(parse());
            if (c == '+')
                s.replace(t, t + 1, "+");
            else
                s.replace(t, t + 1, "*");
        }
        out.close();
    }

    static class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }

    static interface Expr {
        int evaluate();
    }
}
