import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int cAnsT = ouf.nextInt();
        int cAnsA = ouf.nextInt();
        int jAnsT = ans.nextInt();
        int jAnsA = ans.nextInt();
        if (cAnsT != jAnsT) {
            return new Outcome(Outcome.Type.WA, String.format("expected time: %d, found: %d", jAnsT, cAnsT));
        }
        if (cAnsA != jAnsA) {
            return new Outcome(Outcome.Type.WA, String.format("expected people: %d, found: %d", jAnsA, cAnsA));
        }
        return new Outcome(Outcome.Type.OK, String.format("%d %d", jAnsT, jAnsA));
    }
}
