import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import java.util.*;
import java.math.*;
import static ru.ifmo.testlib.Outcome.Type.*;

import java.util.Arrays;

public class Check implements Checker {
    public Outcome outcome(Outcome.Type type, final String format, final Object... args) {
        return new Outcome(type, String.format(format, args));
    }

    final int mod = 1_000_000_007;

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String s = ouf.nextToken();
        BigInteger x = new BigInteger(s);
        int pAns = (int)x.remainder(BigInteger.valueOf(mod)).longValue();
        int jAns = ans.nextInt();
        if (pAns != jAns) {
            return outcome(WA, "Expected " + jAns + ", but found " + pAns);
        }
        return outcome(OK, "Corrent answer");
    }
}
