import java.io.*;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

public class subsequence_ez {


    public static void main(String[] args) throws FileNotFoundException {
        FastScanner in = new FastScanner(new File("subsequence.in"));
        int n = in.nextInt();
        BigInteger sum = BigInteger.ZERO;
        BigInteger[] kthPower = new BigInteger[1001];
        kthPower[0] = BigInteger.ONE;
        for (int i = 1; i <= 1000; i++) {
            kthPower[i] = kthPower[i-1].multiply(BigInteger.TEN);
        }
        List<BigInteger> arr = new ArrayList<BigInteger>();
        for (int i = 0; i < n; i++)
            arr.add(new BigInteger(in.next()));
        sum = sum.add(arr.get(0));
        for (int i = 0; i < n - 1; i++) {
            BigInteger a = arr.get(i);
            BigInteger b = arr.get(i + 1);
            BigInteger s = b.subtract(a);
            String str = s.toString();
            for (int j = str.length() - 1, k = 0; j >= 0; j--, k++) {
                int t = str.charAt(j) - '0';
                while (t --> 0) {
                    a = a.add(kthPower[k]);
                    sum = sum.add(a);
                }
            }
        }
        PrintWriter out = new PrintWriter(new File("subsequence.out"));
        out.print(sum.mod(BigInteger.valueOf(1000000007)));
        out.close();
    }

    static class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }

}
