#include <cstdio>
#include <map>
#include <vector>
#include <algorithm>
using namespace std;
#define f first
#define s second

const int N = 1e5 + 10;
pair <pair <int, int>, int> a[N];
vector <pair <int, int> > ans;
map <int, int> where;

int main() {
    freopen("transformation.in", "r", stdin);
    freopen("transformation.out", "w", stdout);
    int n;
    scanf("%d", &n);
    for (int i = 0; i < n; ++i) {
        scanf("%d", &a[i].f.f);
        if (where.find(a[i].f.f) == where.end())
            where[a[i].f.f] = i;
        a[i].s = i;
    }
    for (int i = 0; i < n; ++i)
        scanf("%d", &a[i].f.s);

    for (int i = 0; i < n; ++i)
        if (a[i].f.s < a[i].f.f) {
            printf("NO");
            return 0;
        }
    sort(a, a + n);
    for (int i = 0; i < n; ++i)
        if (where.find(a[i].f.s) == where.end()) {
            printf("NO");
            return 0;
        } else if (a[i].f.f != a[i].f.s)
            ans.push_back(make_pair(a[i].s, where[a[i].f.s]));
    printf("YES\n%d\n", ans.size());
    for (int i = 0; i < ans.size(); ++i)
        printf("%d %d\n", ans[i].f + 1, ans[i].s + 1);
    return 0;
}
