#include <cstdio>
#include <vector>
#include <algorithm>
#include <iostream>
#include <set>
using namespace std;
const int N = 1005;
int dp[N][N], a[N];
set<int> s;
vector <int> g[N];

void calcDp(int v, int p, int sz) {
    for (int i = 0; i < g[v].size(); ++i) {
        int to = g[v][i];
        if (to == p) continue;
        calcDp(to, v, sz);
        for (int j = 0; j < sz; ++j)
            dp[v][j] += dp[to][j];
    }
    dp[v][a[v]]++;
    int mx = 0;
    for (int j = sz - 1; j >= 0; --j)
        dp[v][j] = max(dp[v][j], dp[v][j + 1]);
}

int main() {
    freopen("treemin.in", "r", stdin);
    freopen("treemin.out", "w", stdout);
    int n;
    scanf("%d", &n);
    for (int i = 0; i < n; ++i) {
        scanf("%d", &a[i]);
        s.insert(a[i]);
    }
    for (int i = 0; i < n - 1; ++i) {
        int x, y;
        scanf("%d%d", &x, &y);
        --x;
        --y;
        g[x].push_back(y);
        g[y].push_back(x);
    }
    for (int i = 0; i < n; ++i) {
        int j = 0;
        for (set <int>::iterator it = s.begin(); it != s.end(); it++, ++j)
            if (*it == a[i]) {
                a[i] = j;
                break;
            }
    }
    calcDp(0, -1, s.size());
    cout << n - dp[0][0];

    /*
10
3 7 5 3 1 2 2 9 1 3
1 2
1 3
2 4
2 5
5 6
6 7
3 8
3 9
3 10
7

4
5 9 1 3
1 2
1 3
1 4
3

5
7 3 1 2 2
1 2
1 3
3 4
3 5
4

4
7 1 2 2
1 2
2 3
2 4
3

10
1 7 5 3 1 2 2 9 1 3
1 2
1 3
2 4
2 5
5 6
6 7
3 8
3 9
3 10
8
    */
    return 0;
}
