#include <cstdio>
#include <vector>

using namespace std;

const int MOD = (int)(1e9) + 7;

int bin(int x, int n) {
    if (n == 0) return 1 % MOD;
    int res = bin(x, n / 2);
    res = 1LL * res * res % MOD;
    if (n % 2 == 1) res = 1LL * res * x % MOD;
    return res;
}

int main() {
    freopen("numbers.in", "r", stdin);
    freopen("numbers.out", "w", stdout);

    int T;
    scanf("%d", &T);
    while (T--) {
        int k;
        scanf("%d", &k);
        if (k <= 10) {
            printf("%d\n", 1);
            continue;
        }
        vector<char> was(k);
        int cur = 0;
        int len = 0;
        int cur2 = 0;
        while (1) {
            len++;
            cur = (10LL * cur + 1) % k;
            cur2 = (10LL * cur2 + 1) % MOD;
            if (cur == 0) {
                break;
            }
            if (was[cur]) {
                len = -1;
                break;
            }
            was[cur] = 1;
        }
        if (len == -1) {
            printf("%d\n", -1);
            continue;
        }
        printf("%d\n", (int)(1LL * cur2 * bin(k, MOD - 2) % MOD));
    }

    return 0;
}