/**
 * Created by pva701
 */
import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
    	int m, n, len;
		n = inf.nextInt();
		for (int i = 0; i < n; i++) {
			int my = ans.nextInt();
			int thier = ouf.nextInt();
			if (my != thier) {
				return new Outcome(Type.WA, "Difference at " + i + "-th number: Expected " + my + ", found: " + thier);
			}
		}
		if (!ouf.seekEoF()) {
            return new Outcome(Type.PE, "Too much tokens in answer");
        }
        return new Outcome(Type.OK, "Jury has same answer");
    }
}
