import java.io.*;
import java.util.*;




public class TestGen {
    
    static PrintWriter out;
    static Random rnd = new Random(0);
    static int tNumber;
    
    static void printTest(int[] a) throws IOException {
        if (tNumber < 10)
            out = new PrintWriter("../tests/0" + tNumber);
        else
            out = new PrintWriter("../tests/" + tNumber);
        tNumber++;
        out.println(a.length);
        for (int i = 0; i < a.length; i++)
        	out.print(a[i] + (i == a.length - 1 ? "" : " "));        
        out.close();
    }
    
    static int randFromTo(int l, int r) {
        return rnd.nextInt(r - l + 1) + l;      
    }
    
    static int[] genRandomTest(int n, int mx) {
   		int[] ans = new int[n];
   		for (int i = 0; i < n; i++) {
   			ans[i] = randFromTo(1, mx);
   	 	}	
   	 	return ans;
    }

   	public static void main(String[] args) throws IOException {
        tNumber = 1;                            
        for (int i = 0; i < 5; i++) {
        	printTest(genRandomTest(5 + i, 10));
        }

        for (int i = 0; i < 5; i++) {
        	printTest(genRandomTest(1000, 10));
        }
    	                                        
    	for (int i = 0; i < 5; i++) {
        	printTest(genRandomTest(1000, 100000));
        }

    	for (int i = 0; i < 5; i++) {
        	printTest(genRandomTest(100000, 100));
        }

		for (int i = 0; i < 5; i++) {
        	printTest(genRandomTest(100000, 100000));
        }    	    
    }
}
