#include <cstdio>
#include <iostream>
#include <vector>

using namespace std;

int main() {
    freopen("stack.in", "r", stdin);
    freopen("stack.out", "w", stdout);

    int n;
    while (scanf("%d", &n) == 1) {
        vector<int> a(n + 1);
        for (int i = 0; i < n; i++) {
            scanf("%d", &a[i]);
        }
        a[n] = 2e9;
        vector<int> mn(n + 1);
        mn[n] = a[n];
        for (int i = n - 1; i >= 0; i--) {
            mn[i] = min(a[i], mn[i + 1]);
        }

        vector<int> st, ans;
        for (int i = 0; i <= n; i++) {
            while (!st.empty() && st.back() <= mn[i]) {
                ans.push_back(st.back());
                st.pop_back();
            }
            st.push_back(a[i]);
        }
        for (int i = 0; i < n; i++) printf("%d%c", ans[i], " \n"[i + 1 == n]);
    }
    return 0;
}