#include <bits/stdc++.h>

const int mod = 1e9 + 7;

void add(int &x, int y) {
    if ((x += y) >= mod) {
        x -= mod;
    }
    if (x < 0) {
        x += mod;
    }
}

int mmod(long long x) {
    return (x % mod + mod) % mod;
}

void addZeroes(std::string &s, size_t zeroes) {
    if (zeroes == 0) {
        return;
    }
    std::string newString(s.size() + zeroes, '0');
    for (size_t i = 0; i < s.size(); i++) {
        newString[i + zeroes] = s[i];
    }
    s = newString;
}

int addDifference(const std::string &L, const std::string &R) {
    std::string l = L;
    std::string r = R;
    int result = 0;
    size_t length = std::max(l.size(), r.size());
    addZeroes(l, length - l.size());
    addZeroes(r, length - r.size());

    int ten = 1;
    int sum = 0;
    for (int i = (int)l.size() - 1; i >= 0; i--) {
        add(sum, mmod((l[i] - '0') * 1LL * ten));
        ten = mmod(ten * 1LL * 10);
    }
    ten = 1;
    for (int i = (int)l.size() - 1; i >= 0; i--) {
        if (l[i] == r[i]) {
            ten = mmod(ten * 1LL * 10);
            continue;
        }
        while (l[i] != r[i]) {
            int i0 = i;
            if (++l[i] > '9') {
                while (l[i] > '9') {                
                    l[i] = '0';
                    i--;
                    l[i]++;
                }
            }
            i = i0;
            add(sum, ten);
            add(result, sum);
        }
        ten = mmod(ten * 1LL * 10);
    }
    return result;
}

int main() {
    freopen("subsequence.in", "r", stdin);
    freopen("subsequence.out", "w", stdout);
    int n;
    std::cin >> n;
    std::vector<std::string> numbers(n);
    for (int i = 0; i < n; i++) {
        std::cin >> numbers[i];
    }
    int answer = 0;
    for (int i = 0; i < n - 1; i++) {
        add(answer, addDifference(numbers[i], numbers[i + 1]));
    }
    int ten = 1;
    for (int i = numbers[0].size() - 1; i >= 0; i--) {
        add(answer, mmod(ten * 1LL * (numbers[0][i] - '0')));
        ten = mmod(ten * 1LL * 10);
    }
    std::cout << answer << '\n';
    return 0;
}
