#include <bits/stdc++.h>

const int mod = 1e9 + 7;

void mmod(int &x, int y) {
    if ((x += y) >= mod) {
        x -= mod;
    }
}

int mmod(long long x) {
    return (x % mod + mod) % mod;
}

void addZeroes(std::string &s, size_t zeroes) {
    if (zeroes == 0) {
        return;
    }
    std::string newString(s.size() + zeroes, '0');
    for (size_t i = 0; i < s.size(); i++) {
        newString[i + zeroes] = s[i];
    }
    s = newString;
}

int addDifference(const std::string &L, const std::string &R) {
    std::string l = L;
    std::string r = R;
    int result = 0;
    size_t length = std::max(l.size(), r.size());
    addZeroes(l, length - l.size());
    addZeroes(r, length - r.size());
    int carry = 0;
    int ten = 1;
    for (int i = (int)l.size() - 1; i >= 0; i--) {
        char c = l[i] + carry;
        carry = 0;
        if (c == '9' + 1) {
            c = '0';
        }
        mmod(result, mmod(ten * 1LL * (c - '0')));
        while (c != r[i]) {
            if (++c == '9' + 1) {
                c = '0';
                carry = 1;
            }
            if (c != r[i]) {
                mmod(result, mmod(ten * 1LL * (c - '0')));
            }
        }
        ten = mmod(ten * 1LL * 10);
    }
    return result;
}

int main() {
    freopen("subsequence.in", "r", stdin);
    freopen("subsequence.out", "w", stdout);
    int n;
    std::cin >> n;
    std::vector<std::string> numbers(n);
    for (int i = 0; i < n; i++) {
        std::cin >> numbers[i];
    }
    int answer = 0;
    for (int i = 0; i < n - 1; i++) {
        mmod(answer, addDifference(numbers[i], numbers[i + 1]));
    }
    int ten = 1;
    for (size_t i = 0; i < numbers[n - 1].size(); i++) {
        mmod(answer, mmod(ten * 1LL * (numbers[n - 1][i] - '0')));
        ten = mmod(ten * 1LL * 10);
    }
    std::cout << answer << '\n';
    return 0;
}