#include <bits/stdc++.h>
using namespace std;

int main()
{
  freopen("transformation.in", "r", stdin);
  freopen("transformation.out", "w", stdout);
  int n;
  cin >> n;
  vector<int> a(n), b(n);
  for (int i = 0; i < n; i++) cin >> a[i];
  for (int i = 0; i < n; i++) cin >> b[i];
  vector<int> p(n);
  iota(p.begin(), p.end(), 0);
  sort(p.begin(), p.end(), [&](int i, int j) {
      return b[i] < b[j];
    });

  map<int, int> any_pos;
  for (int i = 0; i < n; i++) any_pos[a[i]] = i;

  vector<pair<int, int> > ans;
  for (int i : p) {
    if (b[i] == a[i]) {
      continue;
    }
    if (b[i] < a[i]) {
      cout << "NO\n";
      return 0;
    }
    if (any_pos.count(b[i])) {
      ans.emplace_back(i + 1, any_pos[b[i]] + 1);
    } else {
      cout << "NO\n";
      return 0;
    }
  }
  cout << "YES\n" << ans.size() << endl;
  for (auto const& p : ans) {
    cout << p.first << " " << p.second << endl;
  }
  return 0;
}
