import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int lines = 0;
        while (!ans.seekEoF()) {
            String exp = ans.nextToken();
            String act = ouf.nextToken();
            if (!act.equals(exp)) {
                return new Outcome(Outcome.Type.WA, String.format("%d line differs", lines + 1));
            }
            lines++;
        }
        return new Outcome(Outcome.Type.OK, String.format("%d lines", lines));
    }
}
